N7616A Online Documentation

Compiled in December 2005
© 2005 Agilent Technologies

Acknowledgements

Technical Overview

Release Notes

Installation

Using the Software

Related Websites

N7616A Signal Studio for T-DMB

Online Documentation


Release Notes

Features depend on installed hardware and software options with the N7616A Signal Studio for T-DMB

  • 1.1.0.0 -- November, 2005

  • 1.0.8.0 -- September, 2005 (initial release)

1.1.0.0 -- November, 2005

Enhancements:

  • Add T-DMB Transmission Mode II and Mode IV support

1.0.8.0 -- September, 2005 (initial release)

Software version 1.0.8.0 is the initial release of N7616A Signal Studio for T-DMB and is used to generate T-DMB waveforms for receiver or component test.

Features:

  • Video, audio and packet data services

  • Transmission Mode I and Mode III

  • RS encoder and convolutional interleaver for video service

  • Choose a PN9 sequence, fixed all zero or supply user-defined media files as the source data

  • Fully implemented transmission frame structure

    • Fully coded channel for FIC and each sub-channel of MSC

    • MCI parameters: data bit rate, protection level, sub-channel Id

    • Service Information (SI): ensemble label, service label, service component label, country ID, ECC, service reference

    • Transmission Identification Information (TII)

  • Intuitive graphic display: Real- time CIF structure view, CCDF curves, I/Q signals, and baseband spectrum

  • Calibrated AWGN simulates noisy environments (requires E4438C option 403)


Installation

  1. Verify that the signal generator and PC meet the system requirements.

  2. Install the .NET Framework (Revision 1.1, service pack 1 or later).

  3. If you are using GPIB, download and install the Agilent IO Libraries (Version M.01.01 or later).

  4. Install the latest release of the Signal Studio Software.

  5. Connect and set up the equipment.


requirements

System Requirements

Installation: 1 2 3 4 5

Instruments

Requirements

E4438C ESG
Vector Signal Generator

Firmware revision C.04.10 or later ( how to upgrade)

One of the following baseband generator options:

  • Option 001 (internal baseband generator with 8 Msample memory)

  • Option 002 (internal baseband generator with 32 Msample memory)

  • Option 601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • Option 602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

Option 005 (6 GB internal hard drive, recommended)

Option 403 (calibrated noise personality, required for C/N capability, recommended)

Option 503 (250 kHz to 3 GHz frequency range, recommended)

PC Requirements

Minimum 800 MHz Pentium ® (1GHz or higher recommended)

Minimum 512 MB RAM (1 GB or higher recommended)

180 MB free disk space at runtime (1GB or higher recommended)

Minimum 800 x 600 screen resolution (1024 x 768 recommended)

Windows ® XP Professional‚ (service pack 1 or later),
Windows ® 2000‚ (service pack 4 or later)

Microsoft ® Internet Explorer (5.01 or later, 6.0 recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

--------------------------------------------------------------------------------

Pentium is a U.S. registered trademark of Intel Corporation.

Windows and MS Windows are U.S. registered trademarks of Microsoft Corporation.

Microsoft is a U.S. registered trademark of Microsoft Corporation.


.NET Framework

Downloading and Installing the .NET Framework

Installation: 1 2 3 4 5

  1. On the Microsoft website, go to the SDKs, Redistributables & Service Packs page:
    http://msdn.microsoft.com/netframework/downloads/updates/    .

  2. Download and install the .NET Framework (Revision 1.1, service pack 1 or later).

If you get a security exception message when you try to open the software, you can adjust security permissions using the steps below. Consult your system administrator if this does not resolve the problem.

Setting Securities

To adjust the security setting:

  1. From your PC's Control Panel, double-click Administrative Tools > Microsoft .NET Framework 1.1 Configuration

  2. In the tree view of the .NET Configuration 1.1 window, expand the following selections by clicking the [image] box:

Runtime Security Policy > Machine > Code Groups > All_Code.

  3. If the .NET Framework is installed on a shared network drive, click LocalIntranet_Zone.

    If the .NET Framework is installed on your C:\ drive click My_Computer_Zone.

  4. Click Edit Code Group Properties.

  5. Select the Permission Set tab.

  6. From the Permission set drop-down list, select Full Trust.

  7. Click Apply > OK.


Agilent IO Libraries

Downloading and Installing the Agilent IO Libraries Suite

Installation: 1 2 3 4 5

The Agilent IO Libraries are only required for GPIB connectivity.

  1. Download the Agilent IO Libraries Suite (Version M.01.01 or later) from the Agilent website free of charge at: http://www.agilent.com/find/iolib. After the IO Libraries Suite has been successfully installed, you will see the IO Control (IO icon) in the Windows notification area on your PC screen.

  2. Click Connection Expert (IO Config in older versions) from the IO icon, if it does not run automatically. This utility automatically detects most interfaces and instruments, and assigns names and other default configuration settings that you can edit, if desired. Refer to the Agilent IO Libraries Suite documentation, if you need assistance.


T-DMB Software

Downloading and Installing Signal Studio Software

Installation: 1 2 3 4 5

  1. Go to the Agilent Technologies website: http://www.agilent.com/find/signalstudio.

  2. Click the Signal Studio Software link for the signal generator you are using.

  3. Click Download now to load the software on your PC.

Using a Trial License

Before purchasing the software, you can use a free one time 14-day trial license.

After you have made all instrument connections, open the software and click Run System Configuration Wizard under the System menu of the software. The initial connection between the software and the ESG starts the trial license period.

You can track the time remaining on the license from the front panel of the ESG by pressing: Utility > Instrument Adjustments > Instrument Options > Waveform Licenses. If you click Download after a trial license has expired, the software displays a license expired message in the note column of the Instruments window. Each vector signal generator must then be licensed separately in order to generate the waveforms created by the software.

Using a Permanent License

When you purchase a license, you receive a Software Entitlement Certificate that contains an order number and certificate number that you need to obtain your license file. Each signal generator must be licensed separately; you will need the model number and serial number.

  1. Go to the website http://agilent.com/find/softwarelicense.

  2. Follow the directions on the website.

  3. You will receive an email with the license file attached.

Installing a Permanent Software License

  1. Ensure that the Signal Studio software is not running.

  2. Copy the license file into the directory C:\Program Files\Agilent\Signal Generation License Files\Drop.

  3. Make a back-up copy of the license files and store them in a safe place.

  4. After you have made all instrument connections, open the software and click Run System Configuration Wizard under the System menu to establish and verify the connection between the software and the ESG. Once the initial finish of the System Configuration Wizard enables the waveform license in the ESG, the software is fully functional on any PC connected to this signal generator.

Related Topic

Viewing Installed Licenses


Equipment Setup and Connection

Equipment Setup

Equipment Required

  • One 10Base-T cable for the PC and one for each instrument connected to a network LAN

Equipment Setup

Equipment Required

  • One 10Base-T crossover cable for the PC

If connecting more than one instrument:

  • one 10Base-T crossover cable for the PC

  • one 10Base-T cable for each instrument

  • one 10Base-T hub

Equipment Setup

Equipment Required

  • GPIB cable between PC and signal generator.

  • One of the following interfaces configured using the Agilent IO Libraries:

    • GPIB interface card in PC

    • Agilent 82357A USB/GPIB interface connector for USB port

You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Agilent IO Libraries. Refer to the Agilent IO Libraries Suite documentation for more information.

Equipment Setup and Connection

Installation: 1 2 3 4 5

  1. Ensure the ESG is turned off.

  2. Connect the ESG to a computer using one of the following methods for instrument control:

  • Connect both the ESG and the computer to an external LAN network using standard LAN cables.

  • Connect the ESG directly to the computer using crossover LAN. (You will need to configure your PC using this setup.)

  • Connect the ESG directly to the computer using a GPIB cable.

  3. Turn on the ESG and the computer, if necessary.

  4. Run the Signal Studio software. Using the System Configuration Wizard to establish and verify the connection between the software and the ESG.

  1. To run the wizard, select System > Run System Configuration Wizard.

  2. To select a pre-configured system or configure and use a new system, select System > Change hardware connections.

Related Topics

Hardware

Instrument Problems

Software Problems


Using the Software

Tutorials | provides basic video tesing and BER testing examples.
User Interface | describes the features of the software including T-DMB and signal configuration parameters, signal generator settings, and frame configuration parameters.
Troubleshooting | gives help on software, interface, and instrument problems.


Tutorials

Video Testing Example | This procedure provides you with a basic example for creating a T-DMB waveform with one video service component using a user-defined TS file as the data source pattern. You might use this type of setup to test video continuity and monitor video at the T-DMB receiver.
BER Testing Example | This procedure provides you with a basic example for creating a T-DMB waveform with one video service component using an all zero sequence as the data source pattern for BER testing.


Video Testing Example

This procedure provides you with a basic example for creating a T-DMB waveform with one video service component using a user-defined TS file as the data source. You might use this type of setup to test video continuity and monitor video at the T-DMB receiver. A similar procedure can also be used for audio service testing.

In parameter view windows, you can check [image] and then click the desired parameter for a brief description.

  1. Click [image] on the tool bar to reset all parameters to default settings.

  2. Click Waveform Setup in tree view and configure Waveform Attributes in parameter view.

  1. Transmission Mode: Use Mode I for this example. However, you can also use Mode II, Mode III and Mode IV for your test.

    2. Number of Transmission Frames: Set to 51. For video service, after RS encoder, the output block becomes 204 bytes (1632 bits), and each CIF contains 9612 bytes (55296 bits), therefore, setting the number of transmission frame to a multiple of 17 ensures the generated waveform contains an integer number of RS packets (9612 x 17 is the common multiple of 204 and 9612).

    3. Leave the default settings for the other parameters.

  3. Configure the Ensemble. Ensemble is the transmitted signal and can contain video, audio and packet data services. Only video service is included in this ensemble for this example.

  1. Video Service: ON

  2. Audio Service: OFF

  3. Packet Data Service: OFF

  4. Leave the default settings for the other parameters.

  4. Click Video Service in the tree view. This displays the video service and service component in parameter view.

Hint: You can click [image] in the tool bar to see the CIF structure, which indicates the start address and the CU number for the video service component.

    1. Data Source Pattern: In the right cell, click [image] to open the Data Source Edit Dialog window. Click User File in the data source area and then click Import to load the user-defined TS file. Finally, click Apply to accept the user-defined data source configuration.

Note that the content of the TS file is displayed in the left data area. However, if your user-defined TS file is larger than 1024 bytes, only the first 1024 bytes will be displayed. After clicking Apply, the directory path of the TS file will be displayed in the right cell of Data Source Pattern.

  2. RS Encoder and Convolutional Interleaver: For video service, setting the Reed-Solomon encoder and convolutional interleaver to ON or OFF depends on if your TS file is pre-outer encoded or post-outer encoded. Turn the RS encoder and convolutional interleaver on if your TS file has not been RS encoded and convolutional interleaved (pre-outer encoded TS file). Otherwise, turn it off to avoid double RS encoding and convolutional interleaving.

    3. Protection level: Select EEP 1-A for this example, however, flexibility is provided to select one of either EEP x-A or EEP x-B depending on which protection degree you want to use against transmission errors .

  4. Sub Channel Bit Rate: You should set the Sub Channel Bit Rate based on your own TS file and it must be a multiple of 8 kbps. The Sub Channel Bit Rate is the data rate after RS encoding and convolutional interleaving.

Note there is a relationship between Source Data Rate (SDR) and Sub Channel Bit Rate (SCBR) as SDR = SCBR *188 / 204 and SDR changes with SCBR.

    5. Leave the default settings for the other parameters.

  5. Click Generate to generate waveform.

  6. Click Download to download waveform to the ESG if you have configured the instrument connection.


BER Testing Example

This procedure shows you how to configure the Signal Studio for T-DMB for a typical BER testing. This example uses an all zero sequence as the data source to create a T-DMB waveform with one video service component. Based on your BER testing requirement, you can also select PN9 or a user-defined binary file as the data source. When using all zero sequence as the data source, you can count the number of '1' received to calculate the BER. When using PN9 as the data source, you can export the data source to a text file in the data source pattern dialog window, then use it as the expected data at the receiving end to calculate the BER.

A similar procedure can also be used for audio service testing.

In parameter view windows, you can check [image] in the upper right and then click the desired parameter for a brief description.

  1. Click [image] on the tool bar to reset all parameters to default settings.

  2. Click Waveform Setup in tree view and configure Waveform Attributes in parameter view.

  1. Transmission Mode: Use the Mode III for this example. However, you can also use Mode I, Mode II and Mode IV for your test.

    2. Number of Transmission Frames: Set to 51. For video service, after RS encoder, the output block becomes 204 bytes (1632 bits), and each CIF contains 9612 bytes (55296 bits), therefore, setting the number of transmission frame to a multiple of 17 ensures the generated waveform contains an integer number of RS packets (9612 x 17 is the common multiple of 204 and 9612). It is important for BER testing to ensure that an integer number of RS packets are transmitted. Otherwise, periodical errors will occur.

    3. Leave the default settings for the other parameters.

  3. Configure the Ensemble. Ensemble is the transmitted signal and can contain video, audio and packet data services. Only video service is included in this ensemble for this example.

  1. Video Service: ON

  2. Audio Service: OFF

  3. Packet Data Service: OFF

  4. Leave the default settings for the other parameters.

  4. Click Video Service in tree view. This displays the video service and service component in parameter view.

    1. Data Source Pattern: In the right cell, click [image] to open the Data Source Edit Dialog window.

      • Select All 0 in the data source area.

      • Make sure Sync Enable is cleared.

      • Click Apply to accept the data source pattern selection.

  2. Protection level: Select EEP 3-A for this example.

  3. Sub Channel Bit Rate: Set to 1152 kbps for this example. Note that the source data rate changes to 1061.64 kbps automatically. There is a relationship between Source Data Rate (SDR) and Sub Channel Bit Rate (SCBR) as SDR = SCBR *188 / 204 and SDR changes with SCBR.

Hint: You can click [image] in the tool bar to see the CIF. Note that the total 864CUs for CIF are fully occupied by the video service sub channel in this example.

  5. Leave the default settings for the other parameters.

  6. Click Signal Generator in tree view to set the real time AWGN.

    1. Set AWGN to ON.

    2. Click AWGN C/N and enter the desired carrier-to-noise ratio.

    3. Leave the default settings for the signal generator frequency and amplitude.

  6. Click Generate to generate waveform.

  7. Click Download to download waveform to the ESG if you have configured the instrument connection.


User Interface

User Interface Basics | provides tips on navigating the user interface.
Menu and Tool Bar | describes the features of the software.
Quick Setup | explains how to save, delete and rename a quick setup.
Waveform Setup | provides information on T-DMB parameters for video, audio and packet data service.
Hardware | tells how to configure and display the signal generator settings through the software.


User Interface Basics

Using the Tree View

Working with Cells

Resizing Window Panes and Cell Columns

Collapsing and Expanding Tables

Using the Tree View

The left pane of the main window is called the tree view. It is useful for navigating between the quick setups, the waveform setup, and the hardware information. The right pane of the main window is called the parameter view. This area enables you to select the waveform parameters and signal generator settings for generating the waveform. Selecting a node in the tree view enables a display of the related elements in the parameter view.

Working with Cells

The software interface uses cells (similar to a spread sheet) for configuring various parameters. Some cells have enumeration settings, others are limited-resolution arbitrary. For example, AWGN uses enumeration settings. You must select from either ON or OFF.

Frequency, on the other hand, uses limited-resolution arbitrary settings. You can enter any value within the designed range.

To change a discrete setting, double-click either the cell with the name of the parameter, or the setting. Each double-click cycles to the next selection. Notice that a non-default selection appears in bold.

You can also change the setting by clicking the down arrow of the setting cell and then moving the mouse pointer to click the desired selection.

To change an arbitrary setting, double click either the cell with the name of the parameter, or the setting. This highlights the current setting. Enter the new value. You do not need to type "GHz"; the letter "g" is sufficient. The same is true for MHz and kHz.

Resizing Window Panes and Cell Columns

You can resize window panes and cell columns for better viewing. As you move the mouse pointer over a border, it changes form, indicating that the border can be moved horizontally or vertically. Hold down the left mouse button and drag the border to its new position.

Collapsing and Expanding Tables

To create more viewing space in a window pane, you can collapse selection tables you are not using. Click the minus [image] box next to the title of the table and the table collapses. Click the plus [image] box and it expands again.

Related Topics

Using Help

User Interface


Menu Bar and Tool Bar

Many of the functions for the Signal Studio software are accessed from the menu bar and tool bar. The tool bar consists of a subset of the most commonly used functions found in the menu bar.

Menu Bar

Tool Bar

File

New [image] resets all parameters to default settings.

Save Settings File [image] saves a settings file, allowing you to recall a specific Signal Studio software configuration.

Open Settings File [image] reloads a saved Signal Studio software settings file (with a .scp extension).

Exit closes the Signal Studio software.

Control

Generate [image] creates a T-DMB I/Q waveform file and plots the CCDF graph in accordance with the current waveform configuration and signal generation setup. Waveform generation time varies proportionally to the complexity of the waveform. If there is invalid parameter usage, it will be automatically coupled to the right value before the waveform can be generated.

Download [image] generates (if the file is not already generated) and downloads the current waveform file to the signal generator. The signal generator automatically begins to play the signal.

To download a waveform file, you must have a license file for each signal generator being used.

Local control of the ESG can be re-enabled by pressing the Local hardkey, allowing signal generator settings to be modified from the front panel. The waveform file, however, cannot be modified after downloading it to the ESG.

System

Change hardware connections displays a list of pre-configured systems. You can select a specific system to use, or choose to configure and use a new system.

Run system configuration wizard runs the wizard that enables you to set up a new system configuration.

Tools

The Tools menu includes one sub-menu: Options and there is one item under Options.

Display Welcome Dialog lets you enable or disable the welcome dialog display.

Help

Help displays the contents of the Help system

Application Licenses... lists all permanent N7616A software licenses on this computer with the Baseband ID numbers and descriptions.

All Licenses... lists all permanent software licenses (Baseband Studio and Signal Studio) with the associated Baseband ID numbers and descriptions that are in the directory C:\Program Files\Agilent\Signal Generation License Files\Drop on this computer.

Some Baseband Studio and Signal Studio software applications that use older licensing methods will not be listed.

About displays the version and build date of the Signal Studio software.

Related Topics

User Interface Basics

Using Help


CIF Structure View

Clicking [image] on the toolbar displays a plot at the bottom of the current window that shows the CIF structure illustration based on the waveform configuration. Clicking this button again will close the view. The frame plot displayed depends on the services you select and the source data rate, sub channel bit rate (only for video service) and protection level you set for each service.

allows you to view particular portions of the CIF structure.

  • Zoom in extends the frame length.

  • Zoom out reduces the display.

You can drag the mouse to shift the frame left or right. Moving the cursor over the CIF structure displays the starting address and the CU number for that particular service component.


Graphs View

Clicking [image] displays the graph view. Click this button again to close the graph view. The graph view is divided into two areas: the CCDF plot on the left side and the waveform plot on the right side. A waveform can only be plotted after it has been generated.

CCDF Plot

The complementary cumulative distribution function (CCDF) plot displays the generated waveform's calculated peak-to-average power ratio (measured in dB) along a scale of percent probability. The table to the left of the CCDF plot displays the calculated peak-to-average values for the current waveform, which is the yellow curve. For additional information, see Understanding CCDF Curves.

Click this button to toggle the band-limited Gaussian noise reference curve (blue) on or off.

Waveform Plot

Click this button to select from the list of different waveform plots. Selections include Spectrum (shown above), I+Q, I|Q, and Power. Each click selects the next plot type in the list. You can also click the arrow to access a drop-down menu where you can make a direct selection.


Status Bar

The status bar updates in real-time to let you know the status of running operations, such as waveform generation. It also displays the T-DMB software licensing information on the ESG, the total sample points of the waveform and the progress of waveform generation and downloading.


Quick Setup

Selecting Quick Setups in the tree view displays the quick setup list to help you begin signal configuration. You can also add to these by creating custom setups, enabling you to save and reload frequently used configurations.

Click this button to save the current Signal Studio software configuration as a custom quick setup. A window appears, enabling you to enter a label for the quick setup.

Select a listed quick setup and click this button to open it.

Click this button to delete a custom quick setup from the quick setup view. A window appears, enabling you to confirm to delete the quick setup you select.

Click this button to rename a custom quick setup. A window appears enabling you to choose and rename the quick setup.


Waveform Setup

Waveform Attributes | describes T-DMB TII information, transport characteristics and waveform name.
Ensemble | gives information about Ensemble.
Video Service | describes video service and the service component specific configuration parameters..
Audio Service | describes audio service and the service component specific configuration parameters.
Packet Data Service | describes packet data service and the service component specific configuration parameters.

Related Topic

User Interface Basics


Waveform Attributes

Clicking Waveform Setup in the tree view displays the Waveform Attributes table in the left panel of the parameter view.

TII Information

Transport Characteristics

Waveform

Out-Band Power Suppression

1. TII Information

TII

Use this cell to enable or disable the Transmitter Identification Information, which provides unambiguous identification of each transmitter in a DAB network, including geographic location and time delay. The TII is conveyed in the synchronization channel if it is enabled. The implementation of TII is optional.

Main Id

Use this cell to set the Main Identifier of a transmitter. This 7-bit field is expressed by an unsigned binary number. Enter a number from 0 to 69 for transmission Mode I, Mode II and Mode IV, and from 0 to 5 for transmission Mode III.

Sub Id

Use this cell to set the Sub-Identifier of a transmitter. This 5-bit field is expressed by an unsigned binary number. The range is restricted from 1 to 23.

2. Transport Characteristics

Transmission Mode

Use this cell to choose the transmission mode. Transmission modes are defined to allow the system to be used for different network configurations and a range of operating frequencies. Signal Studio for T-DMB supports Mode I, Mode II, Mode III and Mode IV.

Number of Transmission Frames

Use this cell to set the number of transmission frames to be generated, which determines the waveform length. The minimum number of frames is 4 for Mode I, 15 for Mode II and Mode III, and 8 for Mode IV, respectively.

For video service, after RS encoder, the output block becomes 204 bytes (1632 bits), and each CIF contains 9612 bytes (55296 bits), therefore, setting the number of transmission frame to a multiple of 17 ensures the generated waveform contains an integer number of RS packets (9612 x 17 is the common multiple of 204 and 9612). However, this software provides the flexibility to set the number of transmission number to any value in the valid range.

3.Waveform

Waveform Name

Use this cell to enter a name for the waveform. The alphanumeric text entered in this cell appears in the ESG user interface after the configuration is downloaded to the instrument. The signal generator only recognizes waveform names that use only the following characters:

A through Z

0 through 9

$ & _ # + - [ ]

If unsupported characters appear in a configuration name, the ESG generates a file name not found error (Error: -256) when you download the configuration to the instrument. The maximum length for file names is 23 characters.

Total Samples

This cell displays the number of samples (or data points) in the waveform. The number of samples varies proportionately with the number of transmission frames and is related to the transmission mode. The maximum number of samples a waveform can have depends on the ARB memory capacity of the ESG's baseband generator. Option 602 provides 64 megasamples of memory. You cannot edit cells in this column. This total samples value also appears in the status bar at the bottom of the main window.

4. Out-Band Power Suppression

Filter

This cell sets the FIR filter to either ON or OFF. When filter is turned on, a low-pass FIR filter is applied on the waveform to suppress the out-of-band power.

Window

This cell sets raised cosine window to either ON or OFF. When it is turned on, a time domain raised cosine window is applied on the waveform to suppress the out-of-band power.

Applying the filter or window on the generated waveform effectively reduces the out-of-band power, but might slightly impair the modulation accuracy/quality. To get the best EVM of the signal, you may turn the filter and window off.

When turn the filter on, the impairment to the modulation accuracy/quality is fixed. When turn the window on, you can adjust the trade-off effect between suppressing out-of-band power and impairing EVM by changing the half window length.

Half Window Length

Use this cell to set the half length of the raised cosine window when Window is turned on. The half length of the window is the number of the overlapped samples, which are introduced by applying the Window, between two adjacent OFDM symbols. It can not exceed half of the guard interval length. The maximum half length of the window is 252 samples for Mode I, 63 samples for Mode II, 31 samples for Mode III, and 126 samples for Mode IV, respectively.

After generating the waveform, you can click [image] on the tool bar to observe the effect of the filter and/or window on the baseband spectrum of the signal.

Related Topics

User Interface Basics

Signal Generator Settings


Ensemble

Clicking Waveform Setup in the tree view displays the Ensemble table in the right panel of the parameter view.

The ensemble is the transmitted signal and can contain video, audio and data services as well as programme. Several services can be accessible in one ensemble and each service includes only one service component. The ensemble information is coded in Extension 0 of FIG type 0 (FIG 0/0). The structure of the ensemble information field is shown in the figure below.

Ensemble Label

Use this cell to set the ensemble label feature, which is used to identify the ensemble in a text format. The maximum length for ensemble label is 16 characters.

Ensemble Reference

Use this cell to set the ensemble reference. This 12-bit field as shown in the above figure indicates the number of the ensemble allocated for use within an area.

Country Id

Use this cell to set the Country Identifier in the ensemble information. This 4-bit field as shown in the above figure is defined in ETSI TS 101 756 "Digital Audio Broadcasting (DAB), Registered Tables", tables 3 to 7.

Video Service

This cell sets the video service to either ON or OFF. When video service is turned on, you will be able to configure the video service parameters in the video service parameter view.

Audio Service

This cell sets the audio service to either ON or OFF. When audio service is turned on, you will be able to configure the audio service parameters in the audio service parameter view and it is assumed that the audio stream and programme associated data have been processed by the MPEG Audio Layer II encoder.

Packet Data Service

This cell sets the packet data service to either ON or OFF. When packet data service is on, you will be able to configure the packet data service parameters in the packet data service parameter view.

Related Topics

User Interface Basics

Signal Generator Settings


Video Service page

Video Service

To configure video service settings, expand Waveform Setup in the tree view and click Video Service. The parameter view displays the Video Service and Video Service Component windows.

Related Topics

Audio Service

Packet Data Service


Video Service

Service Label

Use this cell to set the service label, which is used to identify services in a text format. Service label consists of alphanumeric characters associated with a particular service and intended for display in a receiver. The software supports service label lengths from 0 to 16 characters. The default value for video service is "Video Stream".

Service Reference

Use this cell to set the service reference, which indicates the number of the service. The default value for video service is 1.

Country Id

Use this cell to set the Country Identifier in the video service. This 4-bit field is defined in ETSI TS 101 756 "Digital Audio Broadcasting (DAB), Registered Tables", tables 3 to 7.

Extended Country Code

Use this cell to set the Extended Country Code (ECC). This 8-bit field is used in combination with the Country Id to identify a geographical area over which the Programme Type definition is valid. The ECC coding is defined in ETSI TS 101 756 "Digital Audio Broadcasting (DAB), Registered Tables", table 3 to 7.

Conditional Access Id

This cell displays the Conditional Access Id (CAId) as No access control. You can not edit this cell. The 3-bit CAId identifies the Access Control System (ACS) used for the service. This software only supports No Access Control. The interpretation of CAId is defined in ETSI TS 101 756 "Digital Audio Broadcasting (DAB), Registered Tables", table 1.

Related Topics

User Interface Basics

Signal Generator Settings

CIF Structure View


Video Service Component

Service Component

This cell displays which service component you are configuring now. For video service, it displays "Video Stream".

DSCTy (Data Service Component Type)

Use this cell to set the DSCTy, which identifies a type of data service component. This 6-bit field is defined in TTAS.KO-07.0024 "Radio Broadcasting Systems; VHF Digital Multimedia Broadcasting (DMB) to mobile, portable and fixed receivers", table 3-1. The range of this cell is from 0 to 63. The default value is 24.

Service Component Type

This cell displays different service component type when you change the “DSCTy” value.

Service Component Label

Use this cell to set the service component label, which is used to identify service component in a text format. The software supports service component label lengths from 0 to 16 characters. The default value for video service component is "Video Component".

Sub Channel Id

Use this cell to set the Sub Channel Identifier, which identifies a sub-channel in which the service component is carried. This 6-bit field is coded as an unsigned binary number. The range of this cell is from 0 to 63. The default value for video service component is 1.

Data Source Pattern

Use this cell to select the data source pattern for video service component. The default selection is PN9. When you click the drop-down arrow in this cell, the Data Source Pattern Dialog window opens.

Source Data Rate

Use this cell to set the source data rate, which is the data rate before RS encoding. The source data rate (SDR) and sub channel bit rate (SCBR) for video service have a relationship as SDR = SCBR *188 / 204 and SDR changes with SCBR. The source data rate is displayed in kbps.

Sub Channel Bit Rate

Use this cell to set the sub channel bit rate (SCBR), which is the data rate after RS encoding and convolutional interleaving. For video service, if protection level is set as EEP x-B (1, 2, 3, 4), SCBR must be a multiple of 32 kbps; If protection level is set as EEP x-A (1, 2, 3, 4), SCBR must be a multiple of 8 kbps.

Protection Level

Select a protection level from the drop down menu for video service, which specifies the degree of protection, provided by the convolutional coding, against transmission errors. The default value is EEP 1-A.

EEP 1-A

EEP 2-A

EEP 3-A

EEP 4-A

Equal Error Protection (EEP): This error protection procedure ensures a constant protection of the bit stream.

These four protection levels are defined for sub channel bit rates in multiples of 8 kbps and correspond to the convolutional code rates 1/4, 3/8, 1/2 and 3/4 respectively.

EEP 1-B

EEP 2-B

EEP 3-B

EEP 4-B

These four protection levels are defined for sub channel bit rates in multiples of 32 kbit/s and correspond to the code rates 4/9, 4/7, 2/3 and 4/5 respectively.

RS Encoder

This cell sets the Reed-Solomon encoder to either ON or OFF. When you select User File as the data source pattern, turn the RS encoder on if your media file has not been RS encoded. Otherwise, turn it off to avoid double RS encoding. After RS encoding, each 188-byte (1504 bit) input block is concatenated with a 16-byte checksum; therefore each resulting output block becomes 204 bytes (1632 bits).

Convolutional Interleaver

This cell sets the convolutional interleaver to either ON or OFF. When you select User File as the data source pattern, turn the convolutional interleaver on if your media file has not been convolutional interleaved. Otherwise, turn it off to avoid double interleaving.

Sub Channel Size (CU)

This cell displays the sub channel size, which is defined as the number of Capacity Units (CU) occupied by the sub-channel. Sub channel size is coded as an unsigned binary number in the range of 1 to 864. You can not edit this cell. Moving the cursor over the CIF structure can also display the sub channel size in CU number for that particular service component.

Sub Channel Start Address (CU)

This cell displays the sub channel start address, which addresses the first Capacity Unit (CU) of the sub-channel. Sub channel start address is coded as an unsigned binary number in the range of 0 to 863. You can not edit this cell. Moving the cursor over the CIF structure can also display the sub channel start address for that particular service component.

Related Topics

User Interface Basics

Signal Generator Settings

CIF Structure View


Audio Service page

Audio Service

To configure audio service settings, expand Waveform Setup in the tree view and click Audio Service. The parameter view displays the Audio Service and Audio Service Component windows.

Related Topics

Video Service

Packet Data Service


Audio Service

Service Label

Use this cell to set the service label, which is used to identify services in a text format. Service label consists of alphanumeric characters associated with a particular service and intended for display in a receiver. The software supports service label lengths from 0 to 16 characters. The default value for audio service is "Audio Stream".

Service Reference

Use this cell to set the service reference, which indicates the number of the service. The default value for audio service is 2.

Country Id

Use this cell to set the Country Identifier in the audio service. This 4-bit field is defined in ETSI TS 101 756 "Digital Audio Broadcasting (DAB), Registered Tables", tables 3 to 7.

Conditional Access Id

This cell displays the Conditional Access Id (CAId) as No access control. You can not edit this cell. The 3-bit CAId identifies the Access Control System (ACS) used for the service. This software only supports No Access Control. The interpretation of CAId is defined in ETSI TS 101 756 "Digital Audio Broadcasting (DAB), Registered Tables", table 1.

Related Topics

User Interface Basics

Signal Generator Settings

CIF Structure View


Audio Service Component

Service Component

This cell displays which service component you are configuring now. For audio service, it displays "Audio Frame".

Service Component Type

Use this cell to select the service component type from the drop down menu for audio service, which is a 6-bit field indicating the type of the audio service component.

Foreground Sound | 0 0 0 0 0 0 : MPEG I or II (Layer II or reserved) coding
Background Sound | 0 0 0 0 0 1: MPEG I or II (Layer II or reserved) coding
Multi-channel Audio Extension | 0 0 0 0 1 0 : MPEG II (Layer II or reserved) coding

Service Component Label

Use this cell to set the service component label, which is used to identify service component in a text format. The software supports service component label lengths from 0 to 16 characters. The default value for audio service component is "Audio Component".

Sub Channel Id

Use this cell to set the Sub Channel Identifier, which identifies a sub-channel in which the service component is carried. This 6-bit field is coded as an unsigned binary number. The range of this cell is from 0 to 63. The default value for audio service component is 2.

Data Source Pattern

Use this cell to select the data source pattern for audio service component. The default selection is PN9. When you click the drop-down arrow in this cell, Data Source Pattern Dialog window opens.

Source Data Rate

Use this cell to set the source data rate for audio service. Source data rate must be a multiple of 8 kbps or 32 kbps depending on the protection level setting. When the sub channel size doesn't exceed 864CUs, the coupling rule for the sub channel size, source data rate and protection level can be found in the ETSI EN 300 401 "Radio Broadcasting Systems; Digital Audio Broadcasting (DAB) to mobile, portable and fixed receivers" Tables 7 to 9 on page 45 and 46.

Protection Level

Select a protection level from the drop down menu for audio service. This specifies the degree of protection provided by the convolutional coding against transmission errors. The default value is UEP 1.

UEP 1

UEP 2

UEP 3

UEP 4

UEP 5

Unequal Error Protection (UEP): This error protection procedure allows the bit error characteristics to be matched with the bit error sensitivity of the different parts of the bit stream. This procedure is mainly designed for audio service.

Refer to Table 7 on ETSI 300 401 page 45 for the relationship among sub channel size, audio source data rate and UEP protection level.

EEP 1-A

EEP 2-A

EEP 3-A

EEP 4-A

Equal Error Protection (EEP): This error protection procedure ensures a constant protection of the bit stream.

These four protection levels are defined for source data rates in multiples of 8 kbps and correspond to the convolutional code rates 1/4, 3/8, 1/2 and 3/4 respectively.

EEP 1-B

EEP 2-B

EEP 3-B

EEP 4-B

These four protection levels are defined for source data rates in multiples of 32 kbit/s and they correspond to the code rates 4/9, 4/7, 2/3 and 4/5 respectively.

Sub Channel Size (CU)

This cell displays the sub channel size, which is defined as the number of Capacity Units (CU) occupied by the sub-channel. Sub channel size is coded as an unsigned binary number in the range of 1 to 864. You can not edit this cell. Moving the cursor over the CIF structure can also display the sub channel size in CU number for that particular service component.

Sub Channel Start Address (CU)

This cell displays the sub channel start address, which addresses the first Capacity Unit (CU) of the sub-channel. Sub channel start address is coded as an unsigned binary number in the range of 0 to 863. You can not edit this cell. Moving the cursor over the CIF structure can also display the sub channel start address for that particular service component.

Related Topics

User Interface Basics

Signal Generator Settings

CIF Structure View


Packet Data Service page

Packet Data Service

To configure packet data service settings, expand Waveform Setup in the tree view and click Packet Data Service. The parameter view displays the Packet Data Service and Packet Data Service Component windows.

Related Topics

Video Service

Audio Service


Packet Data Service

Service Label

Use this cell to set the service label, which is used to identify services in a text format. Service label consists of alphanumeric characters associated with a particular service and intended for display in a receiver. The software supports service label lengths from 0 to 16 characters. The default value for packet data service is Packet Data.

Service Reference

Use this cell to set the service reference, which indicates the number of the service. The default value for packet data service is 3.

Country Id

Use this cell to set the Country Identifier in the packet data service. This 4-bit field is defined in ETSI TS 101 756 "Digital Audio Broadcasting (DAB), Registered Tables", tables 3 to 7.

Extended Country Code

Use this cell to set the Extended Country Code (ECC). This 8-bit field is used in combination with the Country Id to identify a geographical area over which the Programme Type definition is valid. The ECC coding is defined in ETSI TS 101 756 "Digital Audio Broadcasting (DAB), Registered Tables", table 3 to 7.

Conditional Access Id

This cell displays the Conditional Access Id (CAId) as No access control. You can not edit this cell. The 3-bit CAId identifies the Access Control System (ACS) used for the service. This software only supports No Access Control. The interpretation of CAId is defined in ETSI TS 101 756 "Digital Audio Broadcasting (DAB), Registered Tables", table 1.

Related Topics

User Interface Basics

Signal Generator Settings

CIF Structure View


Packet Data Service Component

Service Component

This cell displays which service component you are configuring now. For packet data service, it displays "Packet Data".

Service Component Type

Use this cell to select the service component type. For packet data service, this software only supports Unspecified Data type. You can not edit this cell for packet data service.

Service Component Label

Use this cell to set the service component label, which is used to identify service component in a text format. The software supports service component label lengths from 0 to 16 characters. The default value for packet data service component is "Data Component".

Service Component Id

User this cell to set the Service Component Identifier SCId. This 12-bit field uniquely identifies the service component within the ensemble.

Sub Channel Id

Use this cell to set the Sub Channel Identifier, which identifies a sub-channel in which the service component is carried. This 6-bit field is coded as an unsigned binary number. The range of this cell is from 0 to 63. The default value for packet data service component is 3.

Data Source Pattern

Use this cell to select the data source pattern for packet data service component. The default selection is PN9. When you click the drop-down arrow in this cell, Data Source Pattern Dialog window opens.

Source Data Rate

Use this cell to set the source data rate for packet data service, which is the data rate before packet and can be set to any value when sub channel size doesn't exceed 864CUs.

Packet Data Sub Channel Bit Rate

This cell displays the sub channel bit rate for packet data, which is the data rate after packet. Sub channel bit rate (SCBR) changes with the source data rate and protection level. You can not edit this cell. If protection level is set as EEP x-B (1, 2, 3, 4), SCBR will be in multiples of 32 kbps; If protection level is set as EEP x-A (1, 2, 3, 4), SCBR will be in multiples of 8 kbps.

Protection Level

Select a protection level from the drop down menu for video service, which specify the degree of protection, provided by the convolutional coding, against transmission errors. The default value is EEP 1-A.

EEP 1-A

EEP 2-A

EEP 3-A

EEP 4-A

Equal Error Protection (EEP): This error protection procedure ensures a constant protection of the bit stream.

These four protection levels are defined for sub channel bit rates in multiples of 8 kbps and correspond to the convolutional code rates 1/4, 3/8, 1/2 and 3/4 respectively.

EEP 1-B

EEP 2-B

EEP 3-B

EEP 4-B

These four protection levels are defined for sub channel bit rates in multiples of 32 kbit/s and correspond to the code rates 4/9, 4/7, 2/3 and 4/5 respectively.

Sub Channel Size (CU)

This cell displays the sub channel size, which is defined as the number of Capacity Units (CU) occupied by the sub-channel. Sub channel size is coded as an unsigned binary number in the range of 1 to 864. You can not edit this cell. Moving the cursor over the CIF structure can also display the sub channel size in CU number for that particular service component.

Sub Channel Start Address (CU)

This cell displays the sub channel start address, which addresses the first Capacity Unit (CU) of the sub-channel. Sub channel start address is coded as an unsigned binary number in the range of 0 to 863. You can not edit this cell. Moving the cursor over the CIF structure can also display the sub channel start address for that particular service component.

Related Topics

User Interface Basics

Signal Generator Settings

CIF Structure View


Hardware

When Hardware is selected in the tree view, information about the currently selected hardware system is displayed. This is read-only information, which is presented in the following format:

System Details

Name-the name given to the system when it is configured with the wizard.

Description-the hardware configuration type.

ESG/PSG Signal Generator Details

Connection-the connectivity method, such as LAN or GPIB

Model Number-the ESG model number

Serial Number-the ESG serial number

Firmware Revision-the firmware revision of the ESG

Options-a list of available options on the ESG

Example...

Click this button to run the Self-Tests. The Self-Tests window appears and displays the results of the tests. If an error occurs, a red X will appear next to the failed test and a message in the status bar will indicate the nature of the error. View...

Click this button to run the I/O connections tests. The Test I/O Connections window appears and displays the results of the tests. View..

This button is inactive.

Related Topics

Self Tests

Related Topics

Equipment Setup and Connection
Interface Problems

Application Licenses


Signal Generator Settings

Signal Generator

Clicking Signal Generator in the tree view displays the Signal Generator Settings in the parameter view of the main window. If the ESG is connected, changes on these parameters are sent to the ESG in real-time. These parameters affect how the ESG outputs the waveform, but have no effect on waveform generation. You can also change these settings either from the instrument's front panel or using SCPI commands. For more detailed information on setting these parameters, see ESG product information.

1. Signal

Frequency

Use this cell to set the frequency (Hz) at which the signal generator plays the waveform. The range varies from 10 MHz to 6 GHz depending on the signal generator being used. The default is 208.736MHz, which is a typical T-DMB central frequency.

Amplitude

Use this cell to set the power level (dBm) at which the ESG plays the waveform. The range is from –135.00 to 25.00, (step size 0.01) dBm. The default is –50 dBm.

Sample Clock

The sample clock frequency of the ESG is automatically set to 2.048MHz. You cannot edit this cell.

2. AWGN (requires Option 403)

AWGN

This cell enables or disables adding real-time, non-repeating additive white gaussian noise (AWGN) to the carrier being modulated by the waveform being played. When the AWGN State is ON, the software automatically sets Noise Bandwidth Factor to 1.

AWGN C/N (dB)

This cell sets the carrier-to-noise ratio (in dB) when AWGN is turned on. The range is –30.00 to 30.00 dB.

Related Websites

ESG product information

Related Topic

User Interface Basics


Troubleshooting

Software Problems | identifies common software problems and solutions.
Interface Problems | gives help on communication problems between the PC and the signal generator.
Instrument Problems | describes measurement or operation problems with the signal generator.
Contacting Agilent | directs you to technical support.


Software Problems

After downloading the waveform, the ESG front panel keys do not work.

Cause: Downloading the waveform places the ESG in remote operation, which deactivates the front panel operation.

Solution: On the ESG, press the Local key to restore front panel operation.

After running the System Configuration Wizard, the dialog box "Current ESG firmware version is not supported, version 4.10 or above is needed" appears.

Cause: The current firmware version on the ESG needs to be upgraded.

Solution: See system requirements for information on updating the required firmware.

After clicking Download in the tool bar, an authorization dialog box or license error message appears.

Cause: A license file for a signal generator being used cannot be found on the PC or in the instrument.

Solution: The software requires a license to be fully functional. You must have either a permanent license or a non-expired 14-day trial license for each signal generator being used. Make sure that any permanent license file is in the directory: C:\Program Files\Agilent\Signal Generation License Files\Drop on your computer. To get a free one time 14-day trial license or purchase a permanent license, see Licensing.

After clicking Download in the tool bar, the error message "Insufficient memory in ESG" appears.

Cause: The generated T-DMB waveform may exceed the Arb memory.

Solution: After you click Download, the software automatically detects the size of Arb memory in ESG and compares it with the size of the generated waveform. In some configurations, the generated waveform size exceeds 8 Msamples. In this case, it isn't possible to transfer the waveform into the ESG with Options 001 or 601. Use an ESG with Options 002 or 602 for more waveform memory.

Related Topics

Signal Generator Settings

Equipment Setup and Connection

Related Website

ESG product information


Interface Problems

Troubleshooting the GPIB Interface

  1. Ensure that the cable and all connectors are undamaged.

  2. Ensure that the GPIB cable is securely connected to the PC and the signal generator.

  3. Verify that the GPIB address entered in the software matches that of the ESG. In the software, click Instruments to view the GPIB settings.

  4. Validate the connection. Select an ESG connection and click Test Connection. Observe the resultant messages in the Result and Note cells to verify that the software is connecting to the ESG.

  5. Review the GPIB setup section, and the information about installing Agilent I/O libraries.

Troubleshooting the LAN Interface

If the ESG is connected directly to a computer, use a crossover LAN cable; if the ESG is connected to a network/hub/router, do not use a cross-over LAN cable.

  1. Ensure that the cable and all connectors are undamaged.

  2. Ensure that the LAN cable is securely connected to the PC and the signal generator.

  3. Ensure that the instrument LAN connectors are active: flashing green or yellow lights indicate LAN activity.

  4. Verify that the Hostname or IP address entered in the software matches that of the signal generator. In the software, click Instruments to view the LAN settings.

  5. Validate the connection. Select an ESG connection and click Test Connection. Observe the resultant messages in the Result and Note cells to verify that the software is connecting to the ESG.

  6. Run the 'ping' program:

  1. On the computer go to Start > Programs > Command Prompt (or DOS).

  2. At the C:\> prompt, enter ping <IP address>,
    where <IP address> is the ESG's IP address.

  3. If the signal generator does not respond, contact your IT department for help.

  7. If the 'ping' program works correctly, but there is still a connection problem, and the PC is connected directly to the ESG (using a cross-over cable), add the ESG's IP address and hostname to the Hosts file, which resides at: C:\Winnt\system32\drivers\etc\Hosts.

  1. In a text editor such as Notepad, open the Hosts file.

  2. Write the IP address for the signal generator and spectrum analyzer at the bottom of the file.
    (Refer to the example of a hosts file below.)

  3. Save the file and close the text editor.

Do not use "Save As" when saving the Hosts file; this file does not have a file extension.

Example Hosts File

# Copyright (c) 1993-1999 Microsoft Corp.

#

# This is a sample HOSTS file used by Microsoft TCP/IP for Windows.

#

# This file contains the mappings of IP addresses to host names. Each

# entry should be kept on an individual line. The IP address should

# be placed in the first column followed by the corresponding host name.

# The IP address and the host name should be separated by at least one

# space.

#

# Additionally, comments (such as these) may be inserted on individual

# lines or following the machine name denoted by a '#' symbol.

#

# For example:

#

#   102.54.94.97   rhino.acme.com   # source server

#    38.25.63.10   x.acme.com       # x client host

<xxx.xxx.xxx.xxx> localhost

<xxx.xxx.xxx.xxx> <signal generator hostname>

<xxx.xxx.xxx.xxx> <spectrum analyzer hostname>

Related Topics

Equipment Setup and Connection

Software Problems

Instrument Problems

Contacting Agilent Technologies

Related Links
Agilent GPIB cables
Agilent 82357A USB/GPIB cable


Instrument Problems

Signal Generator

  1. Check the signal generator for any error messages. If possible, correct any conditions indicated by the messages.

When a setting conflict (error) occurs, an error number and a brief message appear at the bottom of the ESG display. You can view the full text of the error message either by using the front panel of the ESG or by executing SCPI commands.

Front Panel | Press Utility > Error Info.
SCPI | Execute the SCPI error commands described in the System Subsystem located in the ESG/PSG SCPI Command Reference.

  2. Refer to the ESG documentation for further troubleshooting.

  3. Contact an Agilent Technologies Service Center.

Computer

  • Verify that the equipment meets the minimum requirements, as described in the System Requirements.

  • Refer to the computer's documentation for troubleshooting and repair.

Related Topics

Software Problems

Interface Problems

Contacting Agilent


Contacting Agilent

Up-to-date ESG product information is available on the Agilent Technologies website.

Assistance with test and measurement needs, and information on finding a local Agilent office is also available on the Web.

If you do not have access to the Internet, contact the Agilent Technologies U.S.Contact Center for information about your local office:

phone: | +1 (800) 829-4444
fax: | +1 (800) 829-4433


Glossary

Arb | arbitrary, as in arbitrary waveform
AWGN | additive white Gaussian noise
BBG | baseband generator
BER | bit error rate
CA | conditional access
CCDF | complementary cumulative distribution function
CIF | common interleaved frame
C/N | carrier to noise ratio
CU | capacity unit
DAB | digital audio broadcasting
dB | decibels
dBm | decibels relative to 1 mW
DMB | digital multimedia broadcasting
ECM | entitlement checking message
EEP | equal error protection
EMM | entitlement management message
EVM | error vector magnitude
FIB | fast information block
FIC | fast information channel
FIG | fast information group
GPIB | general purpose interface bus
IE | information element
I/Q | in-phase and quadrature channels
LAN | local area network
ms | milliseconds
MCI | multiplex configuration information
MSC | main service channel
PC | personal computer
PN | pseudo-random number
PRBS | pseudo-random binary sequence
OFDM | orthogonal frequency division multiplexing
QPSK | quadrature phase shift keying
subchannels | subsets of subcarriers
S-DMB | satellite digital multimedia broadcasting
SI | service information
SFN | single frequency network
T-DMB | terrestrial digital multimedia broadcasting
TII | transmitter identification information
TII Main ID | main identifier: this 7-bit field, expressed as an unsigned binary number, identifies a group of transmitters
TII Sub ID | this 5-bit field, expressed as an unsigned binary number, signals a Sub-identifier associated with a transmitter
UEP | unequal error protection


Related Websites

Agilent ESG signal generator

Agilent Signal Studio software

ETSI website

Telecommunications Technology Association

DAB Forum

Microsoft website

PC-Instrument Connections

Agilent GPIB cables

Agilent IO Libraries Revision Information


Using Help

If the computer on which you install the software has an installed and configured general purpose interface bus (GPIB) interface card, you can configure the software (using its UI) to use the GPIB connection for instrument control.

Conventions Used in this Help System

Drop-Down Text

Blue words or phrases display drop-down text or graphics when you click them. This enables you to view only the details that you want to see. You can expand as many drop-downs at one time as you wish. To close the drop-down, click the word again.

Examples:

... to display the project main window.

... using the GPIB interface.

Hyperlinks and Popups

Blue, underlined words or phrases are either hyperlinks or popup links.

  • A hyperlink moves to a new window. To return after using a hyperlink, either use the Back arrow, or right-click and chose Back from the pop-up menu.

  • A popup link displays a small window in the current window. Popups display brief information, including glossary definitions. To close a popup window, click anywhere in the larger window.

Once a hyperlink or popup link has been used, the text changes color.

Examples:

hyperlink to information about this software product

popup information about the signal generator's GPIB address

Icons

This icon indicates an important point or special information regarding the operation of the software.

This icon calls attention to a possible condition or situation that could cause the loss of work, or damage or destruction of hardware or software. Do not proceed beyond a caution until the indicated conditions are fully understood.

Printing Popup Text

  1. Activate the popup.

  2. Move the cursor over the popup text.

  3. Right-click.

If the popup closes, reopen it and make sure that the cursor is over the popup when you right-click.

  4. From the menu that appears, choose Print.

If you click the print icon ( [image]) when a popup is active, the popup text prints on top of the current topic.

Related Topic

User Interface Basics


acknowledgements

This help system includes the redistributable JavaScript wz_tooltip.js, which is subject to the terms and conditions described in the GNU Lesser General Public License.

wz_tooltip.js (v. 3.27)

Copyright © 2002-2004 Walter Zorn. All rights reserved.

www.walterzorn.com


Crossover LAN

Configuring for a Crossover LAN

To set up your system for a crossover LAN connection (direct connection between a PC and instrument), do the following:

Configure the PC

This procedure is based on Windows ® XP. These steps will vary for Windows ® 2000.

  1. From your PC's Control Panel, double-click Network Connections > Local Area Connection.

  2. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  3. Click Properties.

  4. Select Use the following IP address (radio selection).

  5. Enter 1 once for each of the four areas that make up the IP address. After your entries, the IP address should show 1.1.1.1.

  6. Click the Subnet mask entry field; an address appears.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Reconnect the LAN cable.

  2. From your PC's Control Panel, click Network Connections > Local Area Connection.

  3. In the Local Area Connection Status dialog box, click Properties.

  4. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  5. Click Properties.

  6. Select the Obtain an IP address automatically option or enter your system IP address.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Local Area Connection Status dialog box and the Network Connections window.

Configure the Signal Generator

  1. Turn on the signal generator.

  2. Press Utility > GPIB/RS-232 LAN > LAN Setup > IP Address.

  3. Record the current IP address.

  4. Enter 1.1.1.2 as the new IP address.

  5. Press Enter > Proceed with Reconfiguration > Confirm Change.
    The signal generator reboots, completing the LAN reconfiguration.

Configuring Additional Instruments

To configure additional instruments, such as a spectrum analyzer, increment the IP address for each additional instrument by one. For example, use 1.1.1.3 as the IP address for a third instrument and 1.1.1.4 for a fourth instrument. Refer to the user documentation of the instrument you want to add for specific crossover configuration information.

--------------------------------------------------------------------------------

Windows and MS Windows are U.S. registered trademarks of Microsoft Corporation.


Data Source Pattern Dialog for Audio and Packet Data

Data Source Pattern Dialog for Audio and Packet Data Serivce

This data source pattern dialog enables you to select a data source pattern for audio and packet data service components, load a custom media file, or save a PN9 sequence to a file.

Data Source

selects random sequence PN9 as the data source pattern

selects fixed all zero as the data source pattern

selects a user-defined media file as the data source. Click [image] button to load the user file then.

Import and Export

Click this button to load an user file as the data source. This button is only activated when you select User File as the data source.

The user file should be in binary format. After importing the user file, the content will be displayed in HEX format in the left data area. However, if your user file is larger than 1024 bytes, only the first 1024 bytes will be displayed.

Click this button to save the content of the data source to a text file on the PC. For audio and packet data services, only one period of the data source will be exported.

This button is only activated when you select PN9.


Data Source Pattern Dialog for Video

Data Source Pattern Dialog for Video Service

This data source pattern dialog enables you to select a data source pattern for video service component, load a custom media file, or save a PN9 sequence to a file.

Sync mode selection is only applicable for video service.

Data Source

selects random sequence PN9 as the data source pattern

selects fixed all zero as the data source pattern

selects a user-defined media file as the data source. Click [image] button to load the user file then.

Import and Export

Click this button to load an user file as the data source. This button is only activated when you select User File as the data source.

The user file should be in binary format. After importing the user file, the content will be displayed in HEX format in the left data area. However, if your user file is larger than 1024 bytes, only the first 1024 bytes will be displayed.

Click this button to save the content of the data source to a text file on the PC.

For video service, this button is only activated when you set the Number of Transmission Frame to a multiple of 17 and select PN9 or sync enabled All 0 as the data source. Setting the number of transmission frame to a multiple of 17 ensures the generated waveform contains an integer number of RS packets. For BER testing, It is important to ensure that an integer number of RS packets are transmitted. Otherwise, periodical errors will occur.

Sync Mode

Clear this check box to apply pure PN9 or all zero as the data source pattern for video service. No sync byte will be added.

Selecting this check box enables you to add sync byte into the original PN9 or all zero. For PN9 random sequence, there are two modes to add the sync byte:

  • The sync byte will be inserted at the corresponding position in the PN9 sequence.

  • The sync byte will replace the PN byte at the corresponding position in the PN9 sequence.


GPIBaddress

To view the ESG's GPIB connection information, press the following on the ESG:

Utility > GPIB/RS-232/LAN


LANconnectionInfo

To view the ESGs LAN connection information, press the following on the ESG:
Utility > GPIB/RS-232/LAN > LAN Setup


Self Tests

The purpose of the self-test is to guarantee that a successful waveform downloading can be made.

Signal Generator Self Tests

IO Connection tests the IO connection to the signal generator.

Model Support verifies that the model number of the signal generator is supported.

Firmware Compatibility verifies that the signal generator firmware is compatible with this application.

Arbitrary Waveform Generator Tests

IO Connection tests the IO connection to the arbitrary waveform generator (Arb).

Model Support verifies that the model number of the target Arb is supported.

Firmware Compatibility verifies that the Arb firmware is compatible with this application.

The current version of the Signal Studio for T-DMB only supports Internal Arbitrary Waveform Generator; The IO connection test for Arbitrary Waveform Generator is non meaningful here.


Understanding CCDF Curves

To better understand CCDF curves, this discussion uses a cdmaOne signal as an example. Figure A shows the power versus time plot of a 9-channel cdmaOne signal. This plot represents the instantaneous envelope power defined by the equation: Power = I2 + Q2 where I and Q are the in-phase and quadrature components of the waveform.

Figure A

Unfortunately, the signal in the form shown in Figure A is difficult to quantify because of its inherent randomness and inconsistencies. In order to extract useful information from this noise-like signal, we need a statistical description of the power levels in this signal, and a complementary cumulative distribution function (CCDF) curve provides just that.

A CCDF curve shows how much time the signal spends at or above a given power level. The power level is expressed in dB relative to the average power. For example, each of the lines across the waveform shown in Figure A represents a specific power level above the average. The percentage of time the signal spends at or above each line defines the probability for that particular power level. A CCDF curve is a plot of relative power levels versus probability.

Figure B displays the CCDF curve of the same 9-channel cdmaOne signal captured on the E4406A VSA. Here, the x-axis is scaled to dB above the average signal power, which means we are actually measuring the peak-to-average ratios as opposed to absolute power levels. The y-axis is the percent of time the signal spends at or above the power level specified by the x-axis. For example, at t = 1% on the y-axis, the corresponding peak-to-average ratio is 7.5 dB on the x-axis. This means the signal power exceeds the average by at least 7.5 dB for 1 percent of the time. The position of the CCDF curve indicates the degree of peak-to-average deviation, with more stressful signals further to the right.

Figure B